Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 31 Oct 2019 14:33:08 +0000

Hi nitesh singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I had received 2 coupons from YouGotaGift.com for AED 184 each. I went to the Splash Al Qasimia outlet for purchase but the store staff told me  that the coupon was invalid. The first coupon code is 3075081205429 and the second one is 5368862787411. I had contacted YouGotaGift,com but they said that there was no problem from their side and advised me to contact Splash IT department. Please resolve this issue urgently. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/221936